<?php
// Default all to unauth
$user = $voms_str_unauth;
$member = 0;
$permissions = 0;
$USER_DN = 0;
$USER_CA = 0;

// Check https and auth
if (isset ($_SERVER['HTTPS'])) {
	// Certificate signature check
	if ($_SERVER['SSL_CLIENT_VERIFY'] == "SUCCESS") {
		// Get credentials
		$USER_DN = (isset ($_SERVER['SSL_CLIENT_S_DN'])) ? $_SERVER['SSL_CLIENT_S_DN'] : 0;
		$USER_CA = (isset ($_SERVER['SSL_CLIENT_I_DN'])) ? $_SERVER['SSL_CLIENT_I_DN'] : 0;
		$user    = CNfromDN($USER_DN);
	}
} else {
	$user = sprintf("<a href=\"https://%s\">%s</a>", $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"], $voms_str_nonhttps);
}

if (( $vo !== 0 ) && ($isfailed == 0)) {
	$member = checkMember ( $USER_DN, $USER_CA );
	$permissions = getProperUserACL ( $USER_DN, $USER_CA, $member );
	$pvap = decodeACLPermissions($permissions);
}
?>
